MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003887ATutorThemepublic2009-07-21 14:202009-11-07 11:43
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.4 
Target VersionFixed in Version1.6.3 
Summary0003887: jQuery hide the side menu
DescriptionjQuery hide the side menu? If its easy, squeeze it into the default theme before the release.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003727)
cindy (administrator)
2009-07-22 05:40

SVN revision: 8747

Affected scripts:
themes/default/include/header.tmpl.php
themes/default/styles.css

Solution:
Use fluid slideUp & slideDown to show/hide side menu
(0003729)
greg (administrator)
2009-07-22 08:37

Menu looses its state if you change pages
(0003730)
harris (developer)
2009-07-23 05:56

social/applications.php and social/index.php will fail to use this cause it uses prototype.js, which overwrites jquery's.
(0003731)
cindy (administrator)
2009-07-23 07:49

SVN revision: 8758

Affected script: themes/default/include/header.tmpl.php

Solution: To resolve the conflict on overriding the $ function, add in jQuery.noConflict() right after loading jquery, and use jQuery() instead of $() on the places for $ function, so that it still uses jquery function.

refer to: http://docs.jquery.com/Using_jQuery_with_Other_Libraries [^]

- Issue History
Date Modified Username Field Change
2009-07-21 14:20 greg New Issue
2009-07-21 14:20 greg Affects version => SVN
2009-07-21 14:20 greg Status new => assigned
2009-07-21 14:20 greg Assigned To => cindy
2009-07-22 05:40 cindy Status assigned => resolved
2009-07-22 05:40 cindy Fixed in Version => 1.6.3
2009-07-22 05:40 cindy Resolution open => fixed
2009-07-22 05:40 cindy Note Added: 0003727
2009-07-22 08:37 greg Note Added: 0003729
2009-07-22 08:37 greg Status resolved => assigned
2009-07-23 05:56 harris Note Added: 0003730
2009-07-23 07:49 cindy Status assigned => resolved
2009-07-23 07:49 cindy Note Added: 0003731
2009-11-05 11:13 greg Status resolved => closed
2009-11-07 11:43 greg Product Version => 1.6.4


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker